import type { Session, User } from "@pkg/logic/domains/user/data";
import type { AppSidebarItem } from "./core/constants";
import { writable } from "svelte/store";
import type { Router } from "$lib/api";
import type { hc } from "hono/client";

export const breadcrumbs = writable<Array<AppSidebarItem>>([
    { title: "Dashboard", url: "/dashboard" },
]);

export const apiClient = writable<ReturnType<typeof hc<Router>>>(undefined);

export const user = writable<User | undefined>(undefined);
export const session = writable<Session | undefined>(undefined);
